Subject: RE: [SIP] Informing UA after network initated deregistration?

From: "Iliff, Tina" <[email-masked]>
Date: Fri, 09 Mar 2001 14:21:40 +0000

Also, I have another question along these lines...Take this situation for
example:  A UA sends a Register and receives a 200 OK.  Now, when the first
Register expires for some reason the UA can not get another Register to the
Registrar for the same user.  What would the UA do..keep on retrying to
transmit the Register?  If the expiration time is up to an hour I would
believe that this would be unnecessary traffic and unnecessary burden on the
UA.  This is my only case for having a lower limit on the expiration time.
It could potentially cause a user to not receive calls and maybe important
calls.  I would believe that the user should control the Registration; e.g.
be able to set the time that they will be available at a certain contact
address as well as be able to set if there is a certain period of time when
they would not want to be disturbed.  I know that the latter case can be
solved by just pulling the power...
but they may want to make outgoing calls.

Tina Iliff

-----Original Message-----
From: William Marshall [mailto:[email-masked]]
Sent: Thursday, March 08, 2001 5:41 PM
To: [email-masked]
Subject: RE: [SIP] Informing UA after network initated deregistration?

Since the last message on this thread (2/9), I've gone through the archives
but have not found any discussion related to the question being asked.
If it is there, could someone please tell me the Subject line.

The specific situation is that the UA registers, with an Expires header
giving a reasonable period.  But sometime before that time, something
happens causing the registration to be dropped.

At this point the UA thinks it is registered, but the registrar has nothing.
So, any incoming calls to the UA (as a UAS) will fail.

The UA can certainly re-do the DNS query, and get SRV records, and
try another registrar (like the one that took over for the possibly
failed one).  But, the question is, how does it know to do this?
Something needs to tell the UA that its registration prematurely
expired.  Any suggestions for how this might be done?  NOTIFY?

Bill Marshall
[email-masked]

-----original message-----
From: Jonathan Rosenberg <[email-masked]>
To: "'Bernie Hoeneisen'" <[email-masked]>, [email-masked]
Subject: RE: [SIP] Informing UA after network initated deregistration?
Date: Fri, 9 Feb 2001 07:56:54 -0500

> -----Original Message-----
> From: Bernie Hoeneisen [mailto:[email-masked]]
> Sent: Tuesday, February 06, 2001 11:40 AM
> To: [email-masked]
> Subject: [SIP] Informing UA after network initated deregistration?
> 
> 
> Hi,
> 
> I have some questions concerning informing the UA in case the network 
> de-registers the UA, and wants to inform the UA about this.
> 
> Let me describe a possible use case:  Supposed the UA 
> normally registers
> to only one registrar. Furthermore this registrar needs some 
> maintenance
> break. The policy in this registrar/network is, to inform all its
> registered UAs, that they have been de-registered (and maybe 
> provide an
> address, where it can send a new registration.)
> Remark: There can be more reasons, why a network element needs to
> de-register a user, maintenance break is just one.
> 
> 
> My questions:
> 
> - Has this problem area been addressed earlier in IETF?
>   If yes, please send me some pointers.

Yes. The issue has been raised on the list at least three separate times.
Please check the archives.

> 
> - What do key-people think about such a feature, where a registrar
>   informs about de-registration of users? Is it welcome to include it
>   into a SIP extension (e.g. defining a method for it e.g. UNREGISTER,
>   or re-using other methods such as NOTIFY), or whatever would be
>   appropriate?

My view is the same it was the other three times. Failover and redundancy
for devices contacted by clients is best handled by using things like SRV
records. The SRV record for some registrar would contain a list of ordered
devices to try. When you want to service the main one, you take it out of
service. Clients who re-register will get an ICMP error, and as per
draft-ietf-sip-srv, will then try the next address, which is its backup.

This works not only for registrations, but for outbound proxies, and any
other sip communications, even between servers and servers. SRV is not ideal
for all load balancing and failover needs, as is well known, but I think it
addresses this need perfectly well.

-Jonathan R.
---

_______________________________________________
This list is for continuing development of the SIP protocol.
The sip-implementor's list is the place to discuss implementation,
and to receive advice on understanding existing sip.
To subscribe to it, send mail to 
[email-masked] with "subscribe" in the body.

_______________________________________________
This list is for continuing development of the SIP protocol.
The sip-implementor's list is the place to discuss implementation,
and to receive advice on understanding existing sip.
To subscribe to it, send mail to 
[email-masked] with "subscribe" in the body.

---

From: "Robert Chen" <[email-masked]>
Date: Fri, 9 Mar 2001 09:31:31 -0800

hi, all, morning,

My boss tell me his plan is to implement a sip server using exist radius
server and the database for authentication and authorization. How can I
implement SIP server like this? I really need your help. Thanks.

P.S: I am worrying about US economy. Tanking so fast. I even can not sleep
last night. :) This issue seems no one can help me.

---

From: Brian Gracely <[email-masked]>
Date: Fri, 09 Mar 2001 12:49:49 -0500

have you seen 
this:  http://search.ietf.org/internet-drafts/draft-byerly-sip-radius-00.txt.
IETF can't help your sleeping problem....

BG